Chief Tools Logo
Bill.DO API v1

The DigitalOcean invoices of an account, imported by Bill.DO.


List invoices

GET
https://bill.do/api/v1
/accounts/{account}/invoices
OpenID Connect
or
Bearer (ctp_*)
or
Bearer (ctt_*)

List the invoices of the account, newest first. The invoice of the current month is a preview with the costs up to now.

List invoices › path Parameters

account
​integer · required

List invoices › query Parameters

per_page
​integer · min: 1 · max: 100

Number of results per page.

Default: 50
page
​integer · min: 1

Page number to return.

Default: 1

List invoices › Responses

Paginated set of Invoice

​Invoice[] · required
​object · required
​object · required

Download an invoice

GET
https://bill.do/api/v1
/accounts/{account}/invoices/{invoice}/pdf
OpenID Connect
or
Bearer (ctp_*)
or
Bearer (ctt_*)

Download the PDF of an invoice, which Bill.DO retrieves from DigitalOcean on request.

Download an invoice › path Parameters

account
​integer · required
invoice
​string · required

Download an invoice › Responses

The PDF of the invoice.

string · binary